Skip to content

List HRIS providers

employers.list_hris_providers() -> EmployerListHRISProvidersResponse { data }
GET/v1/employers/hris-providers

Returns the distinct HRIS/payroll providers across the same book GET /v1/employers returns, sorted for display. Use these as the values for the employers list’s hris_provider filter — filter on provider, show provider_label. The stored providers are free text, so they cannot be enumerated in advance.

ReturnsExpand Collapse
class EmployerListHRISProvidersResponse { data }

Unpaginated {"data": [...]} list of organization hris providers.

data: Array[{ provider, provider_label}]
provider: String

HRIS/payroll provider id, as stored on the connection (e.g. adp_run). Filter with this.

provider_label: String

Display name of that provider (e.g. ADP Run).

List HRIS providers

require "vitable_connect"

vitable_connect = VitableConnect::Client.new(
  api_key: "My API Key",
  environment: "environment_1" # defaults to "production"
)

response = vitable_connect.employers.list_hris_providers

puts(response)
{
  "data": [
    {
      "provider": "adp_run",
      "provider_label": "ADP Run"
    },
    {
      "provider": "paychex_flex",
      "provider_label": "Paychex Flex"
    }
  ]
}
Returns Examples
{
  "data": [
    {
      "provider": "adp_run",
      "provider_label": "ADP Run"
    },
    {
      "provider": "paychex_flex",
      "provider_label": "Paychex Flex"
    }
  ]
}